Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.xpath
Class XBooleanStatic

    java.lang.Object
      |
      +--weblogic.apache.xalan.xpath.XObject
            |
            +--weblogic.apache.xalan.xpath.XBoolean
                  |
                  +--weblogic.apache.xalan.xpath.XBooleanStatic

Deprecated. This compatibility layer will be removed in later releases.

public class XBooleanStatic
extends XBoolean

This class doesn't have any XPathSupport, so override whatever to ensure it works OK.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Constructor Summary
`XBooleanStatic(boolean b)` Deprecated. Construct a XNodeSet object.

Method Summary
`boolean` | `equals(XObject obj2)` Deprecated. Tell if two objects are functionally equal.

Methods inherited from class weblogic.apache.xalan.xpath.XBoolean
`bool, getType, getTypeString, num, object, str`

Methods inherited from class weblogic.apache.xalan.xpath.XObject
`castToType, error, error, greaterThan, greaterThanOrEqual, lessThan, lessThanOrEqual, mutableNodeset, nodeset, notEquals, rtree, rtree, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XBooleanStatic

    public XBooleanStatic(boolean b)

  Deprecated.
  Construct a XNodeSet object.

Method Detail

### equals

    public boolean equals(XObject obj2)
                   throws org.xml.sax.SAXException

  Deprecated.
  Tell if two objects are functionally equal.

  Overrides:
    equals in class XBoolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference